/*
 * XXXX 
 *
 * Fecha 08/05/2007
 * 
 *  
 */
 
package com.ejie.p06b.servlet.test;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ejie.p06b.exception.P06BException;
import com.ejie.p06b.general.P06BErrores;
import com.ejie.p06b.general.P06BPaginas;
import com.ejie.p06b.servlet.P06BServletGenerico;




/**
 *  Esta clase gestiona las peticiones HTTP de la aplicación.
 */
public class P06BErroresServlet extends P06BServletGenerico 
{

	//Cambia de idioma en la sesión -> Perfil
	public void ejecutar(HttpServletRequest request, HttpServletResponse response) {
		try {
			if(request.getParameter("tipoError")!=null
					&& request.getParameter("tipoError").equals("1")){
				Integer.parseInt("Error forzado");
			}
			if(request.getParameter("tipoError")!=null
					&& request.getParameter("tipoError").equals("2")){
				try{
					Integer.parseInt("Error forzado");
				}catch (Exception e){
			      	throw new P06BException(e,P06BErrores.P06B_ERROR_0002);
			    }	
			}	
			forward (request, response, P06BPaginas.P06B_JSP_TEST);
		}catch (Exception e){
	      	manejarErrores (request, response, e);
	        return;
	    }
	}
	
}